The oldest Android devices won't be able to use Google sign-ins from September

If you are holding on to a really old Android device – one that's running Android 2.3.7 (Gingerbread) or earlier – then take note that you won't be able to use your Google account to sign into apps like Gmail or YouTube on it from the end of September.

As per a forum post from Google, the functionality for affected devices is stopping on September 27, though if you really need to you can still access these services on ancient hardware through the built-in web browser.

Considering the tablet-focused Android 3 (Honeycomb) and Android 4 (Ice Cream Sandwich) both debuted in 2011, we're only talking about a very small percentage of devices here, and the vast majority of users shouldn't have to worry.

"If you sign into your device after September 27, you may get username or password errors when you try to use Google products and services like Gmail, YouTube, and Maps," explains the post, with users encouraged to upgrade their software if they can.

Safety first

Part of the reason for the cut off point is security: newer software tends to be much more secure than older software, especially across a time scale of 10 years – and no one wants their Google account to be compromised by an old vulnerability.

Devices that are still all the way back on Android 2.3.7 are also missing out on a decade's worth of new features and innovations that Google has added to its mobile operating system since, so they're well overdue for an upgrade.

These older versions of Android have long been left behind in terms of security patches and updates for Google Play services, which handle a lot of background tasks for these updates. Google Play services support for Android 4.1 (Jelly Bean) is ending next month.


Analysis: Updates matter

Pixel 5

(Image credit: Google)

The news that Google sign-in support is going to be dropped for devices running Android 2.3.7 or earlier is only going to directly affect a small fraction of users, and perhaps an electronics gadget museum or two.

But it's a reminder of how important it is for Google and the other tech giants to set cut off points for older software and hardware as newer versions and devices are released. No one likes to see their gadgets become obsolete, but support can't go on forever.

Older hardware just doesn't have the capacity to run the most modern software – and that means security vulnerabilities, major headaches for developers, and user experiences that slowly get worse and worse over time.

Android 2.3.7 had a good run in terms of Google sign-in support – and even if you aren't affected, it's worth remembering that you should always install the latest software updates for your devices, as they're made available to you.

Via 9to5Google

Post a Comment

0 Comments